- Qt 6.8
- Qt GUI
- C++ Classes
- QCocoaGLContext
- Qt 6.8.3 Reference Documentation

# QCocoaGLContext Struct

struct QNativeInterface::QCocoaGLContext

Native interface to an NSOpenGLContext on macOS. More...

Header: | `#include <QOpenGLContext>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.0

- List of all members, including inherited members

## Public Functions

virtual NSOpenGLContext * | nativeContext() const = 0

## Static Public Members

QOpenGLContext * | fromNative(NSOpenGLContext *context, QOpenGLContext *shareContext = nullptr)

## Detailed Description

Accessed through QOpenGLContext::nativeInterface().

## Member Function Documentation

### `[static]` QOpenGLContext *QCocoaGLContext::fromNative(NSOpenGLContext *context, QOpenGLContext *shareContext = nullptr)

Adopts an NSOpenGLContext.

The adopted NSOpenGLContext context is retained. Ownership of the created QOpenGLContext shareContext is transferred to the caller.

### `[pure virtual]` NSOpenGLContext *QCocoaGLContext::nativeContext() const

Returns the underlying NSOpenGLContext.